# Investigators
## Agnes Baker
- PT: 2 
- MT: 2

## Darrell
- PT: 1
- MT: 1 

## Scenario Experience
15+13+9

# Evidence of Kadath
11

# Campaign Notes
- the dreamers strayed from the path
- the cats collected their tribute from the Zoogs
- Virgil was captured
- Randolph eluded capture
- investigators traveled to the cold wastes
- Randolph survived the voyage
- 